Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-88858

VxWorks 7 does not support any of the existing QTimeZone backends

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Reported
    • Priority: P3: Somewhat important
    • Resolution: Unresolved
    • Affects Version/s: 5.12.6
    • Fix Version/s: None
    • Component/s: Core: Date/Time
    • Labels:
      None
    • Platform/s:
      VxWorks
    • Technical Risk:
      Normal

      Description

      None of backends are supported by VxWorks in SR0541 and older. Newer ones from SR0600 (llvm/clang) does have support for ICU so need to investigate integration of it. For ICU also need to add static version support has to be enabled.

      Only default backend (QUtcTimeZone) is available which does not support all features QTimeZone requires.

        Attachments

          Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

            Activity

              People

              Assignee:
              roger_mazzella Roger Mazzella
              Reporter:
              papetaja Pasi Petäjäjärvi
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:

                  Gerrit Reviews

                  There are no open Gerrit changes